Subject: bug#68339: 29.1; Emacs doesn't support Microsoft PinYin Input Method well

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jan 2024 15:08:13 +0200

> From: Po Lu <[email-masked]>
> Cc: Gao Feng <[email-masked]>,  [email-masked]
> Date: Wed, 10 Jan 2024 09:48:26 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Maybe that Emacs user from China could also suggest a patch for Emacs
> > to fix this issue?
> >
> > Po Lu, any comments or suggestions?
> >
> > The Vim code uses ImmSetCompositionFont function to set the font.  I
> > don't have a good idea how to choose a font for that function, but
> > perhaps we could use ImmGetCompositionFont to retrieve the font used
> > by default, and then change its height and call ImmSetCompositionFont?
> >
> > I'm just stabbing in the dark, and I don't have a way of testing these
> > ideas anyway.
> 
> Is it impossible to search for any suitable font that approaches the
> frame's font in size, as Emacs does on X in xic_create_xfontset?

The w32 frame doesn't have that information, and I don't know how to
create it.